﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using System.ServiceModel;

namespace ClientApp
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void OnClick(object sender, RoutedEventArgs e)
        {
            Button b = sender as Button;
            b.IsEnabled = false;

            // 终结点地址
            EndpointAddress ep = new EndpointAddress("net.tcp://localhost:1700/pow");
            // TCP绑定
            NetTcpBinding binding = new NetTcpBinding(SecurityMode.None);

            // 创建通道
            ChannelFactory<WCFSVContracts.IPowService> factory = new ChannelFactory<WCFSVContracts.IPowService>(binding, ep);
            WCFSVContracts.IPowService channel = factory.CreateChannel();

            // 调用服务
            double x = double.Parse(txt1.Text);
            double y = double.Parse(txt2.Text);
            double r = await channel.PowAsync(x, y);
            tbres.Text = $"计算结果：{r:G}";

            b.IsEnabled = true;
        }
    }
}
