﻿using System;
using System.ServiceModel;

namespace ServiceApp
{
    [ServiceContract(Name = "pow_service", Namespace = "http://my")]
    interface IService
    {
        [OperationContract(Name = "pow", Action = "PowAction", ReplyAction = "PowReply")]
        double Pow(double x, double y);
    }

    class PowService : IService
    {
        public double Pow(double x, double y)
        {
            double res = Math.Pow(x, y);
            return res;
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            using (ServiceHost host = new ServiceHost(typeof(PowService)))
            {
                NetTcpBinding binding = new NetTcpBinding(SecurityMode.None);

                // 直接添加终结点
                host.AddServiceEndpoint(typeof(IService), binding, "net.tcp://localhost:1700/pow");

                host.Opened += (h, ea) => Console.WriteLine("服务已打开。");
                // 打开服务
                try
                {
                    host.Open();
                }
                catch (Exception ex) { Console.WriteLine(ex.Message); }

                Console.ReadKey();
            }
        }
    }
}
